| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::ContentAwareContainer Class Reference

## Public Types
enum | EnergyFunction { GradientNorm = 0 , SumOfAbsoluteValues , XAbsoluteValue , LumaGradientNorm , LumaSumOfAbsoluteValues , LumaXAbsoluteValue }

## Public Attributes
EnergyFunction | func = GradientNorm
uint | height = 0
QImage | mask
bool | preserve_skin_tones = false
Qt::Orientation | resize_order = Qt::Horizontal
double | rigidity = 0.0
int | side_switch_freq = 4
int | step = 1
uint | width = 0